Qwt User's Guide: QwtPoint3D Class Reference

Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# QwtPoint3D Class Reference

QwtPoint3D class defines a 3D point in double coordinates. More...

`#include <qwt_point_3d.h>`

List of all members.

## Public Member Functions
bool | isNull () const
bool | operator!= (const QwtPoint3D &) const
bool | operator== (const QwtPoint3D &) const
| QwtPoint3D (const QPointF &)
| QwtPoint3D ()
| QwtPoint3D (double x, double y, double z)
| QwtPoint3D (const QwtPoint3D &)
double & | rx ()
double & | ry ()
double & | rz ()
void | setX (double x)
void | setY (double y)
void | setZ (double y)
QPointF | toPoint () const
double | x () const
double | y () const
double | z () const

## Detailed Description

QwtPoint3D class defines a 3D point in double coordinates.

## Constructor & Destructor Documentation

QwtPoint3D::QwtPoint3D | ( |  | ) | `[inline]`

Constructs a null point.

See also:
  isNull()

QwtPoint3D::QwtPoint3D | ( | double | x,
|  | double | y,
|  | double | z = `0.0`
| ) |  | `[inline]`

Constructs a point with coordinates specified by x, y and z.

QwtPoint3D::QwtPoint3D | ( | const QwtPoint3D & | other | ) | `[inline]`

Copy constructor. Constructs a point using the values of the point specified.

QwtPoint3D::QwtPoint3D | ( | const QPointF & | other | ) | `[inline]`

Constructs a point with x and y coordinates from a 2D point, and a z coordinate of 0.

## Member Function Documentation

bool QwtPoint3D::isNull | ( |  | ) | const`[inline]`

Returns true if the point is null; otherwise returns false.

A point is considered to be null if x, y and z-coordinates are equal to zero.

bool QwtPoint3D::operator!= | ( | const QwtPoint3D & | other | ) | const`[inline]`

Returns true if this rect and other are different; otherwise returns false.

bool QwtPoint3D::operator== | ( | const QwtPoint3D & | other | ) | const`[inline]`

Returns true if this point and other are equal; otherwise returns false.

double & QwtPoint3D::rx | ( |  | ) | `[inline]`

Returns a reference to the x-coordinate of the point.

double & QwtPoint3D::ry | ( |  | ) | `[inline]`

Returns a reference to the y-coordinate of the point.

double & QwtPoint3D::rz | ( |  | ) | `[inline]`

Returns a reference to the z-coordinate of the point.

void QwtPoint3D::setX | ( | double | x | ) | `[inline]`

Sets the x-coordinate of the point to the value specified by x.

void QwtPoint3D::setY | ( | double | y | ) | `[inline]`

Sets the y-coordinate of the point to the value specified by y.

void QwtPoint3D::setZ | ( | double | y | ) | `[inline]`

Sets the z-coordinate of the point to the value specified by z.

QPointF QwtPoint3D::toPoint | ( |  | ) | const`[inline]`

Rounds 2D point, where the z coordinate is dropped.

double QwtPoint3D::x | ( |  | ) | const`[inline]`

Returns the x-coordinate of the point.

double QwtPoint3D::y | ( |  | ) | const`[inline]`

Returns the y-coordinate of the point.

double QwtPoint3D::z | ( |  | ) | const`[inline]`

Returns the z-coordinate of the point.